import { AVPBase } from './AVPBase';
import { OhosUrlPlayer } from './nativeclass/OhosUrlPlayer';
import { UrlSource } from './source/UrlSource';
export class UrlVideoPlayer extends AVPBase {
    constructor(e42, f42) {
        super(e42, f42);
    }
    createAlivcMediaPlayer(c42) {
        let d42 = new OhosUrlPlayer(c42);
        return d42;
    }
    setUrlDataSource(a42) {
        let b42 = this.getCorePlayer();
        if (b42 instanceof OhosUrlPlayer) {
            if (a42 instanceof UrlSource) {
                b42.setUrlDataSource(a42);
            }
        }
    }
}
